import java.io.*;
import java.util.*;

public class Manager {

	private ArrayList<Media> media;
	
	public Manager() {
		this.media = new ArrayList<Media>();
	}
	
	public boolean createMediaFiles(String fileName) {
		Scanner data = null;          // to read data from file
        PrintWriter result = null;     // Character output stream for writing data.
        
		try { // Create the input stream.
		
			data = new Scanner(new File(fileName));
           
            // Read numbers from the input file, adding them to the ArrayList.
            while ( data.hasNextLine() ) { // Read all double values until the end of the file
                String line = data.nextLine();
				if(line.startsWith("<EBook>")) {
					EBook ebook = new EBook(line);
					this.media.add( ebook );
				} else if(line.startsWith("<MovieDVD>")) {
					MovieDVD movieDVD = new MovieDVD(line);
					this.media.add( movieDVD );
				} else if(line.startsWith("<MusicCD>")) {
					MusicCD musicCD = new MusicCD(line);
					this.media.add( musicCD );
				} 
                
            }
			
		} catch (FileNotFoundException e) {

            System.out.println("File cannot be opened: Could not load, no such directory.");
            return false;
        }
		return true;
	}
	
	public void updateMediaFile(String fileName) {
		PrintWriter result = null;
		
		try { // Create the output stream.

            result = new PrintWriter(new File(fileName));
           
		    // Output the media.
            for (int i = 0; i < this.media.size(); i++) {
				String line = this.media.get(i).toString();
				if(fileName.contains("EBook") && line.contains("EBook"))
					result.println(line);
				else if(fileName.contains("MovieDVD") && line.contains("MovieDVD"))
					result.println(line);
				else if(fileName.contains("MusicCD") && line.contains("MusicCD"))
					result.println(line);
			}
               
            result.flush(); 
			
        } catch (IOException e) {

            System.out.println("Can’t open file : " + fileName);
            return;
        }
		result.close();
	}
	
	public void addMedia(Media media) {
		this.media.add( media );
	}
	
	public ArrayList<Media> findMedia(String name) {
		ArrayList<Media> filteredMedia = new ArrayList<Media>();
		
		for (int i = 0; i < this.media.size(); i++) {
			if(this.media.get(i).getTitle().contains(name)) 
				filteredMedia.add(this.media.get(i));
		}
		
		return filteredMedia;
	}
	
	public void rentMedia(int id) {
		
		for (int i = 0; i < this.media.size(); i++) {
			if(this.media.get(i).getId() == id) 
			{
				System.out.printf("Media was successfully rented. Rental fee = $%.2f\n", this.media.get(i).calculateRentalFee());
				return;				
			}
		}
		
		System.out.printf("The media object id=%d is not found\n", id);
	}
}