/*
* abstract class to represent a generic media
*/
public abstract class Media {
	// attributes
	private int id;
	private String title;
	private int year; // validate that 4 digits
	private boolean available;
	
	// constructor
	public Media(int id, String title, int year, boolean available) {
		this.id = id;
		this.title = title;
		this.year = year;
		this.available = available;
	}
	
	// constructor
	public Media(String line) {
		this.id = Integer.parseInt(line.substring(line.indexOf("<id>") + 4, line.indexOf("</id>")));
		this.title = line.substring(line.indexOf("<title>") + 7, line.indexOf("</title>"));
		this.year = Integer.parseInt(line.substring(line.indexOf("<year>") + 6, line.indexOf("</year>")));
		this.available = Boolean.parseBoolean(line.substring(line.indexOf("<available>") + 11, line.indexOf("</available>")));
	}
	
	// get methods
	public int getId() {
		return id;
	}
	
	public String getTitle() {
		return title;
	}
	
	public int getYear() {
		return year;
	}
	
	public boolean getAvailable() {
		return available;
	}
	
	// set methods
	public void setTitle(String title) {
		this.title = title;
	}
	
	public void setYear(int year) {
		this.year = year;
	}
	
	public void setAvailable(boolean available) {
		this.available = available;
	}
	
	// calculate rental fee; for generic media it is flat fee $3.50
	public double calculateRentalFee() {
		return 3.50;
	}
	
	public String toPrintString() {
		return "";
	}
}