public class MovieDVD extends Media {
	// local attributes
	private double size; // value in MB
	
	// constructor
	public MovieDVD(String line) {
		super(line);
		this.size = Double.parseDouble(line.substring(line.indexOf("<size>") + 6, line.indexOf("</size>")));
	}
	
	// constructor
	public MovieDVD(int id, String title, int year, double size) {
		super(id, title, year, false);
		this.size = size;
	}
	
	// get method
	public double getSize() {
		return size;
	}
	
	// set method
	public void setSize(double size) {
		this.size = size;
	}
	
	@Override
	public String toPrintString() {
		return "MovieDVD [ id=" + getId() + ", title=" + getTitle()
			+ ", year=" + getYear() + ", size=" + getSize() + ", available=" + getAvailable() + "]";
	}
	
	// inherits calculate rental fee method and no different calculation so should not override
	@Override
	public String toString() {
		return "<MovieDVD>"
                + "<id>" + this.getId() + "</id>"
                + "<title>" + this.getTitle() + "</title>"
                + "<year>" + getYear() + "</year>"
				+ "<available>" + getAvailable() + "</available>"
				+ "<size>" + getSize() + "</size>"
                + "</MovieDVD>";
	}
}