import java.util.Calendar;

public class MusicCD extends Media {
	// local attributes
	private int length;
	
	// constructor
	public MusicCD(String line) {
		super(line);
		this.length = Integer.parseInt(line.substring(line.indexOf("<length>") + 8, line.indexOf("</length>")));
	}
	
	// constructor
	public MusicCD(int id, String title, int year, int length) {
		super(id, title, year, false);
		this.length = length;
	}
	
	// get method
	public int getLength() {
		return length;
	}
	
	// set method
	public void setLength(int length) {
		this.length = length;
	}
	
	// override parent's
	@Override
	public double calculateRentalFee() {
		double fee = length * 0.02; // basic fee
		int currYear = Calendar.getInstance().get(Calendar.YEAR);
		if (this.getYear() == currYear)
		fee += 1; // add $1.00 fee
		return fee;
	}
	
	@Override
	public String toPrintString() {
		return "MusicCD [ id=" + getId() + ", title=" + getTitle()
			+ ", year=" + getYear() + ", length=" + getLength() + ", available=" + getAvailable() + "]";
	}
	
	@Override
	public String toString() {
		return "<MusicCD>"
                + "<id>" + this.getId() + "</id>"
                + "<title>" + this.getTitle() + "</title>"
                + "<year>" + getYear() + "</year>"
				+ "<available>" + getAvailable() + "</available>"
				+ "<length>" + getLength() + "</length>"
                + "</MusicCD>";
	}
}